client.hpp File Reference
`#include "svncpp/vector_wrapper.hpp"`
`#include "svncpp/utility_wrapper.hpp"`
`#include "svncpp/map_wrapper.hpp"`
`#include "svncpp/context.hpp"`
`#include "svncpp/exception.hpp"`
`#include "svncpp/path.hpp"`
`#include "svncpp/entry.hpp"`
`#include "svncpp/revision.hpp"`
`#include "svncpp/log_entry.hpp"`
`#include "svncpp/annotate_line.hpp"`

Go to the source code of this file.

## Data Structures

struct | svn::StatusFilter
class | svn::Client

## Namespaces

| svn

## Typedefs

typedef std::vector< AnnotateLine > | svn::AnnotatedFile
typedef std::vector< DirEntry > | svn::DirEntries
typedef std::vector< Info > | svn::InfoVector
typedef std::vector< LogEntry > | svn::LogEntries
typedef std::vector< Status > | svn::StatusEntries
typedef std::map< std::string, std::string > | svn::PropertiesMap
typedef std::pair< std::string, PropertiesMap > | svn::PathPropertiesMapEntry
typedef std::vector < PathPropertiesMapEntry > | svn::PathPropertiesMapList